# Copyright (c) Meta Platforms, Inc. and affiliates.
# All rights reserved.
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

import unittest

from .test_numerical_column import TestNumericalColumn


class TestNumericalColumnCpu(TestNumericalColumn):
    def setUp(self):
        self.device = "cpu"

    def test_internal_empty(self):
        c = self.base_test_empty()
        self.assertEqual(c.device, "cpu")
        # internals...self.assertEqual(len(c._mask), 0)

    def test_internals_full(self):
        c = self.base_test_full()
        #  internals... self.assertEqual(len(c._data), len(c))
        #  internals... self.assertEqual(len(c._mask), len(c))

    def test_internals_full_nullable(self):
        return self.base_test_full_nullable()

    def test_is_immutable(self):
        return self.base_test_is_immutable()

    def test_internals_indexing(self):
        return self.base_test_indexing()

    def test_boolean_column(self):
        return self.base_test_boolean_column()

    def test_infer(self):
        return self.base_test_infer()

    def test_map_where_filter(self):
        return self.base_test_map_where_filter()

    def test_reduce(self):
        return self.base_test_reduce()

    def test_sort_stuff(self):
        return self.base_test_sort_stuff()

    def test_operators(self):
        return self.base_test_operators()

    def test_na_handling(self):
        return self.base_test_na_handling()

    def test_fill_null_type_promotion_rules(self):
        return self.base_test_fill_null_type_promotion_rules()

    def test_agg_handling(self):
        return self.base_test_agg_handling()

    def test_in_nunique(self):
        return self.base_test_in_nunique()

    def test_math_ops(self):
        return self.base_test_math_ops()

    def test_describe(self):
        return self.base_test_describe()

    def test_column_from_tuple(self):
        return self.base_test_column_from_tuple()

    def test_column_from_numpy_array(self):
        return self.base_test_column_from_numpy_array()

    def test_append_automatic_conversions(self):
        return self.base_test_append_automatic_conversions()

    def test_batch_collate(self):
        return self.base_test_batch_collate()

    def test_cast(self):
        return self.base_test_cast()


if __name__ == "__main__":
    unittest.main()
